%define debug_package %{nil}

Name:           fotowall
Version:        0.9
Release:        %mkrel 9
Summary:        Photo collection creativity tool
Group:          Graphics/Photography
License:        GPLv2+
URL:            http://www.enricoros.com/opensource/fotowall/
Source0:        http://%{name}.googlecode.com/files/Fotowall-%{version}.tar.bz2

BuildRequires:  qt4-devel
BuildRequires:  libv4l-devel
BuildRequires:	desktop-file-utils

%description
FotoWall is a creative tool that allows you to layout your photos or pictures
in a personal way. You can add pictures, then resize, move,
change colors, text, shadows, etc..

%prep
%setup -q -n Fotowall-%{version}
# for hidden-file-or-dir warning
sed -i -e "s/\.build/build/" %{name}.pro
# Unused file
sed -i -e "/scripts/d" -e "s@man\ \\\@man@" %{name}.pro
# for v4l1 compatibility
sed -i -e 's/linux\/videodev.h/libv4l1-videodev.h/' 3rdparty/videocapture/VideoDevice.h

%build
qmake
%make_build


%install
make install INSTALL_ROOT=%{buildroot}
desktop-file-install --vendor="" \
  --mode 644 \
  --dir %{buildroot}%{_datadir}/applications/ \
  %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%doc GPL_V2 README.markdown
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/man/man?/%{name}.?.xz


%changelog
* Fri Mar 10 2017 akien <akien> 0.9-9.mga6
+ Revision: 1091602
- Rebuild for v4l-utils 1.12.3

* Sun Feb 14 2016 umeabot <umeabot> 0.9-8.mga6
+ Revision: 960110
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 0.9-7.mga6
+ Revision: 875168
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.9-6.mga5
+ Revision: 749620
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9-5.mga5
+ Revision: 679307
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9-4.mga4
+ Revision: 504611
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.9-3.mga3
+ Revision: 350787
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 zezinho <zezinho> 0.9-2.mga3
+ Revision: 322428
- fix rpm group

* Fri Nov 04 2011 zezinho <zezinho> 0.9-1.mga2
+ Revision: 162713
- convert specfile from fedora
- imported package fotowall

